1. Sales
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
    • Get Product By ID
    • products with inventory
    • product details with Inventory By Product ID
    • Product Variant List ID & Name
    • Variant Details By Variant ID
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
      POST
    • Get Sales Data By Id
      GET
    • Order Create
      POST
    • Order Status
      GET
    • Shipping Details
      GET
    • Update Due Date
      POST
    • Update Order Status
      POST
  1. Sales

Get All Sales Data

POST
/api/v1/sales/get-all-sales-orders

Sales Order List#

Purpose#

Retrieve sales orders created in VasyERP within a specified date range.

Why would you use this?#

Use this API when your system needs to fetch sales orders for synchronization, reporting, analytics, or order management.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
branch_listYesComma-separated Branch IDs
from_dateYesStart date in UTC format (ISO 8601)
to_dateYesEnd date in UTC format (ISO 8601)
limitYesNumber of records to retrieve
offsetYesNumber of records to skip

Information Returned#

Sales ID
Order Number
Sales Date
Due Date
Customer Information
Payment Information
Order Amount
Sales Channel
Order Status

Important Notes#

from_date and to_date must be provided in UTC format (ISO 8601).
The API returns sales orders between the specified date range.
Multiple Branch IDs can be passed using comma-separated values.
Use pagination for large datasets.
Customer information may be blank for walk-in sales.
Use salesId when fetching specific sales order details from other APIs.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/sales/get-all-sales-orders' \
--header 'api-token: {{.in-api-token}}' \
--header 'Content-Type: application/json' \
--data '{
    "branch_list":"24448",
    "limit":2,
    "offset":0,
    "from_date":"2020-04-01T00:00:00Z",
    "to_date":"2026-03-31T23:59:59Z"
}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Sales Data List",
    "code": "200",
    "response": {
        "totalCount": 89,
        "salesDataListDTOList": [
            {
                "salesId": 28315158,
                "prefix": "ORD",
                "salesNo": 54,
                "salesDate": "2025-12-26 15:14:32.259619+05:30",
                "dueDate": "2025-12-26 00:00:00+05:30",
                "paymentType": "cash",
                "total": 11.0,
                "paidAmount": 11.0,
                "contactId": 0,
                "orderNo": "ORD54",
                "customerName": "",
                "channelId": 5,
                "channelName": "POS",
                "status": "open",
                "type": "pos"
            },
            {
                "salesId": 28315154,
                "prefix": "ORD",
                "salesNo": 55,
                "salesDate": "2025-12-26 14:13:38.611662+05:30",
                "dueDate": "2025-12-26 00:00:00+05:30",
                "paymentType": "cash",
                "total": 11.0,
                "paidAmount": 11.0,
                "contactId": 0,
                "orderNo": "ORD55",
                "customerName": "",
                "channelId": 9,
                "channelName": "OFFLINE",
                "status": "open",
                "type": "pos"
            }
        ]
    }
}
Previous
Consumption Production Report
Next
Get Sales Data By Id
Built with